kind: Solution
version: v0
router:
  kind: Router
  routes:
    - frame: main
frames:
  main: 
    kind: Frame
    layout:
      kind: ColumnLayout
      widths: [1fr, 300px]
      areas: [viewer, panel]
    contents:
      model: 
        kind: Model
        modelFile: assign-layers-model.gh
        subscribe:
          - kind: ControlPanel
            frame: main
            source: panel
      viewer:
        kind: Viewer
        settings:
          kind: BasicSettings
          size: 8
          shadows: true
        viewerControls:
          topLeft:
            kind: ButtonBar
            orientation: vertical
            buttons:
              - kind: ZoomToFit
              - kind: ToggleLayer
                layer: 1
                icon:
                  kind: Icon
                  icon: fas-arrows-alt-h
              - kind: ToggleLayer
                layer: 2
                icon:
                  kind: Icon
                  icon: fas-envelope-open
        materials:
          blue: 
            kind: StandardMaterial
            color: [42,75,240]
          light-blue: 
            kind: StandardMaterial
            color: [119,173,238]
          white:
            kind: StandardMaterial
            color: [220,220,220]
        subscribe:
          - kind: Model
            frame: main
            source: model
            assignMaterials:
              glass: white
              back: blue
              front: blue
              stairs: white
              slabs: light-blue
            assignLayers:
              dimensions: 1
              front: 2
      panel:
        kind: ControlPanel
        controls:
          height:
            kind: Slider
            value: 3.00
            min: 2.8
            max: 3.5
            precision: 2
            label: Height
          length:
            kind: Slider
            value: 3.00
            min: 10
            max: 16
            precision: 1
            label: Length